packages: nss_ldapd/nslcd.init - config name has changed - consistent file ...

baggins baggins at pld-linux.org
Thu Sep 17 23:47:08 CEST 2009


Author: baggins                      Date: Thu Sep 17 21:47:08 2009 GMT
Module: packages                      Tag: HEAD
---- Log message:
- config name has changed
- consistent file naming

---- Files affected:
packages/nss_ldapd:
   nslcd.init (1.2 -> 1.3) 

---- Diffs:

================================================================
Index: packages/nss_ldapd/nslcd.init
diff -u packages/nss_ldapd/nslcd.init:1.2 packages/nss_ldapd/nslcd.init:1.3
--- packages/nss_ldapd/nslcd.init:1.2	Mon Jan 19 03:00:53 2009
+++ packages/nss_ldapd/nslcd.init	Thu Sep 17 23:47:03 2009
@@ -1,49 +1,49 @@
 #!/bin/sh
 #
-# nss-ldapd:		Starts the NSS LDAP Cache Daemon
+# nslcd:	Starts the NSS LDAP Cache Daemon
 #
 # chkconfig:	345 30 80
 # description:	This is a daemon which handles passwd and group lookups \
 #		for running programs and cache the results for the next query. \
 #   Also keeps connections to LDAP open.
 # processname:	nslcd
-# config:	/etc/nss-ldapd.conf
+# config:	/etc/nslcd.conf
 #
 
 # Sanity checks.
-[ -f /etc/nss-ldapd.conf ] || exit 0
+[ -f /etc/nslcd.conf ] || exit 0
 
 # Source function library.
 . /etc/rc.d/init.d/functions
 
 # Get sysconfig
-[ -f /etc/sysconfig/nss-ldapd ] && . /etc/sysconfig/nss-ldapd
+[ -f /etc/sysconfig/nslcd ] && . /etc/sysconfig/nslcd
 
 start() {
-	if [ ! -f /var/lock/subsys/nss-ldapd ]; then
+	if [ ! -f /var/lock/subsys/nslcd ]; then
 		msg_starting "NSS LDAP Cache Daemon"
 		busy
 		daemon nslcd
 		RETVAL=$?
-		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/nss-ldapd
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/nslcd
 	else
 		msg_already_running "NSS LDAP Cache Daemon"
 	fi
 }
 
 stop() {
-	if [ -f /var/lock/subsys/nss-ldapd ]; then
+	if [ -f /var/lock/subsys/nslcd ]; then
 		msg_stopping "NSS LDAP Cache Daemon"
 		busy
 		killproc --pidfile /var/run/nslcd/nslcd.pid nslcd
-		rm -f /var/lock/subsys/nss-ldapd >/dev/null 2>&1
+		rm -f /var/lock/subsys/nslcd >/dev/null 2>&1
 	else
 		msg_not_running "NSS LDAP Cache Daemon"
 	fi
 }
 
 condrestart() {
-	if [ -f /var/lock/subsys/nss-ldapd ]; then
+	if [ -f /var/lock/subsys/nslcd ]; then
 		stop
 		start
 	else
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/nss_ldapd/nslcd.init?r1=1.2&r2=1.3&f=u



More information about the pld-cvs-commit mailing list